package com.example.demo.command;

import org.flywaydb.core.Flyway;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.shell.standard.ShellComponent;
import org.springframework.shell.standard.ShellMethod;
import org.springframework.stereotype.Component;

@Component
@ShellComponent
public class Migrate {

    private final Flyway flyway;

    @Autowired
    public Migrate(Flyway flyway) {
        this.flyway = flyway;
    }


    @ShellMethod("migrate")
    public void migrate() {
        this.flyway.migrate();
    }
}
